Appearance
POST
/web-pages/draft/drafts/{draftId}/sectionsRequired scope:
viskan:draft:createCreates a section.
Parameters
Path parameters
draftId string Format:
uuidIdentifier of the draft. A draft is a workspace that holds unpublished changes to web store content.
Request body
JSON
{
"sectionName": "Start Page Hero",
"sectionDescription": "Section for the start page displaying an image and text",
"sectionType": "IMAGE_AND_TEXT",
"content": "<p>{4dd9fd6f-9403-49e6-83df-2550abac538e}</p><image url={a8eecb0e-b06a-4b2c-882f-376cff259454}>",
"variables": [
{
"variableId": "4dd9fd6f-9403-49e6-83df-2550abac538e",
"variableName": "Hero paragraph",
"variableType": "TEXT"
}
],
"searchableContent": "Start page"
}
Response
The section was successfully created.
JSON
{
"sectionId": "e7f65f98-e2a6-4ffd-a985-6e6a4180f5e0"
}
| Error code | Description |
|---|---|
web-pages.create-section.draft-not-found | Draft not found. |
web-pages.create-section.section-name-required | Section name is required. |
web-pages.create-section.section-type-required | Section type is required. |
web-pages.create-section.variable-id-required | Variable ID is required. |
web-pages.create-section.variable-name-required | Variable name is required. |
web-pages.create-section.variable-type-required | Variable type is required. |